/*
   This file is part of MutekP.
  
   MutekP is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
  
   MutekP is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
  
   You should have received a copy of the GNU General Public License
   along with MutekP; if not, write to the Free Software Foundation,
   Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
  
   UPMC / LIP6 / SOC (c) 2009
   Copyright Ghassan Almaless <ghassan.almaless@gmail.com>
*/


/////////////////////////////////////////
//   Devices mapped segments 
/////////////////////////////////////////
#define     LOCKS_BASE  0xd4200000
#define     LOCKS_SIZE  0x00010000

#define     TIMER_BASE  0xd3200000
#define     TIMER_SIZE  0x00000080

#define     ICU_BASE    0xd2200000
#define     ICU_SIZE    0x00000020

#define	    DMA_BASE	0xd1200000
#define	    DMA_SIZE	0x00000014

#define     TTY_BASE    0xd0200000
#define     TTY_SIZE    0x00000040

#define     SIMH_BASE     0xd5200000
#define     SIMH_SIZE     0x20

////////////////////////////////////////


//////////////////////////////////////////
//       ROM mapped segments
//////////////////////////////////////////


#define    BOOT_BASE       0xbfc00000
#define    BOOT_SIZE       0x00010000
//////////////////////////////////////////

//////////////////////////////////////////
//                RAM
//////////////////////////////////////////
#define	TEXT_BASE	0x00400000
#define	TEXT_SIZE	0x00050000

#define	EXCEP_BASE	0x80000000
#define	EXCEP_SIZE	0x00010000

#define     RAM_BASE    0x10000000
#define     RAM_SIZE    0x01000000
//////////////////////////////////////////


////////////////////////////////////////
//	Reserved segments
////////////////////////////////////////

#define PROC0_BASE	0x01200000
#define PROC0_SIZE	0x0000000F

#define PROC1_BASE	0x02200000
#define PROC1_SIZE	0x0000000F

#define PROC2_BASE	0x03200000
#define PROC2_SIZE	0x0000000F

#define PROC3_BASE	0x04200000
#define PROC3_SIZE	0x0000000F

////////////////////////////////////////
